EUCA-DESCRIBE-IMAGES(1)

NAME
euca-describe-images - Show information about images

SYNOPSIS
euca-describe-images [-a] [-o ACCOUNT] [-x ACCOUNT]

[--show-empty-fields] [-U URL]
    [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [IMAGE [IMAGE ...]]

DESCRIPTION
Show information about images

DESCRIPTION
By default, only images your account owns and images for which your account has explicit launch permissions are shown.

  positional arguments:

IMAGE
    limit results to specific images

  optional arguments:

-a, --all
    describe all images

-o ACCOUNT, --owner ACCOUNT
    describe images owned by the specified owner

-x ACCOUNT, --executable-by ACCOUNT
    describe images for which the specified account has explicit launch permissions

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:

architecture
    CPU architecture

block-device-mapping.delete-on-termination
    whether a volume is deleted upon instance termination

block-device-mapping.device-name
    device name for a volume mapped to the image

block-device-mapping.snapshot-id
    snapshot ID for a volume mapped to the image

block-device-mapping.volume-size
    volume size for a volume mapped to the image

block-device-mapping.volume-type
    volume type for a volume mapped to the image

description
    image description

hypervisor
    image's hypervisor type image-id image-type image type ("machine", "kernel", or "ramdisk") is-public whether the image is public kernel-id manifest-location name owner-alias image owner's account alias owner-id image owner's account ID platform "windows" for Windows images product-code product code associated with the image product-code.type type of product code associated with the image ("devpay", "marketplace") ramdisk-id root-device-name root-device-type root device type ("ebs" or "instance-store") state image state ("available", "pending", or "failed")

state-reason-code
    reason code for the most recent state change

state-reason-message
    message for the most recent state change

tag-key
    key of a tag assigned to the image

tag-value
    value of a tag assigned to the image

tag:KEY
    specific tag key/value combination

virtualization-type
    virtualization type ("paravirtual" or "hvm")